package com.yuji.ec.db;

public class Note implements INoteItem {
	private long id = -1;
	private String guid;
	private String text;
	private long created;
	private long updated;
	
	public Note(long id, String guid, String text, long created, long updated){
		this.id = id;
		this.guid = guid;
		this.text = text;
		this.created = created;
		this.updated = updated;
	}

	public Note(String guid, String text, long created, long updated){
		this(-1, guid, text, created, updated);
	}

	public long getId(){
		return id;
	}
	
	public String getGuid() {
		return guid;
	}

	public String getText() {
		return text;
	}

	public long getCreated() {
		return created;
	}

	public long getUpdated() {
		return updated;
	}
}
